import Header from "../../Components/Header/Header";
import styles from "../../styles";
import RestrictedComponent from "../../Components/RestrictedComponent/RestrictedComponent";
import TechnicianWidgets from "../../Components/DashboardPage/TechnicianWidgets";
import TechnicianEquipmentButtons from "../../Components/DashboardPage/TechnicianEquipmentButtons";
import TechnicianLogButtons from "../../Components/DashboardPage/TechnicianLogButtons";
export default function Dashboard() {
  return (
    <div style={styles.background}>
      <Header label={"Dashboard"} />
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianWidgets />
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianEquipmentButtons />
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianLogButtons />
      </RestrictedComponent>
    </div>
  );
}
